### Enumeration

# EDataBook bSqlChangeType

since: 3.12

#### Declaration

    enum EDataBook.bSqlChangeType

#### Description [src]

Indicates the type of change which occurred in an `EbSqlChangeCallback`.

Available since: 3.12

#### Members

`EBSQL_CHANGE_CONTACT_ADDED`

  Contact was modified as a result of its addition to the addressbook.

  - Value: `0`
  - Available since: 3.12
`EBSQL_CHANGE_LOCALE_CHANGED`

  Contact was modified as a result of a locale change.

  - Value: `1`
  - Available since: 3.12
`EBSQL_CHANGE_LAST`

  A symbolic end marker for this enumeration, will not be passed in callbacks.

  - Value: `2`
  - Available since: 3.12